Bug 1310699 - (CVE-2016-2099) CVE-2016-2099 xerces-c: Use-after-free in heap on specially crafted XML input
CVE-2016-2099 xerces-c: Use-after-free in heap on specially crafted XML input
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160509,repor...
: Security
Depends On: 1334689 1334686 1334687 1334688
Blocks: 1310741
  Show dependency treegraph
 
Reported: 2016-02-22 09:35 EST by Adam Mariš
Modified: 2017-07-04 08:29 EDT (History)
21 users (show)

See Also:
Fixed In Version: xerces-c 3.2.0, xerces-c 3.1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-04 08:29:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace report (4.35 KB, text/plain)
2016-02-22 10:15 EST, Adam Mariš
no flags Details
Patch from upstream bug (682 bytes, patch)
2017-07-04 08:21 EDT, Stefan Cornelius
no flags Details | Diff

  None (edit)
Description Adam Mariš 2016-02-22 09:35:39 EST
A use-after-free vulnerability in heap triggered by parsing specially crafted XML input was reported.
Comment 2 Adam Mariš 2016-02-22 10:15 EST
Created attachment 1129358 [details]
Backtrace report
Comment 3 Adam Mariš 2016-05-10 06:40:07 EDT
Upstream bug:

https://issues.apache.org/jira/browse/XERCESC-2066

"The DTDScanner fails to account for the fact that peeking characters in the XMLReader class can raise an exception if an invalid character is encountered, and the exception crosses stack frames in an unsafe way that causes a higher level exception handler to access an already-freed object."
Comment 4 Adam Mariš 2016-05-10 06:41:23 EDT
Created mingw-xerces-c tracking bugs for this issue:

Affects: fedora-all [bug 1334687]
Comment 5 Adam Mariš 2016-05-10 06:41:33 EDT
Created xerces-c tracking bugs for this issue:

Affects: fedora-all [bug 1334686]
Affects: epel-6 [bug 1334689]
Comment 6 Adam Mariš 2016-05-10 06:41:43 EDT
Created xerces-c27 tracking bugs for this issue:

Affects: fedora-all [bug 1334688]
Comment 7 Fedora Update System 2016-07-02 11:23:41 EDT
xerces-c-3.1.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-07-05 00:57:41 EDT
mingw-xerces-c-3.1.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-07-06 01:51:04 EDT
mingw-xerces-c-3.1.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-07-06 01:51:52 EDT
xerces-c-3.1.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-07-06 01:54:30 EDT
mingw-xerces-c-3.1.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-07-06 01:55:12 EDT
xerces-c-3.1.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Stefan Cornelius 2017-07-04 08:21 EDT
Created attachment 1294178 [details]
Patch from upstream bug
Comment 14 Stefan Cornelius 2017-07-04 08:29:37 EDT
Acknowledgments:

Name: Gustavo Grieco
Comment 15 Stefan Cornelius 2017-07-04 08:29:47 EDT
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.